2004-07-22  haimcohen  <haimcohen@users.sourceforge.net>

	* NEWS 1.2, ChangeLog 1.4: *** empty log message ***

	* examples/solitare/Makefile.am 1.3, examples/solitare/expected 1.2, examples/solitare/runtest 1.2:
	Solitare will not be included in the regression since it takes too much time to run

2004-07-21  haimcohen  <haimcohen@users.sourceforge.net>

	* ChangeLog 1.3, examples/bddcalc/expected 1.2:
	*** empty log message ***

	* src/depend.inf 1.2:
	we do not need this file anymore since autotools are being used

	* examples/solitare/Makefile.am 1.2: readme was added to distribution

	* doc/Makefile.am 1.2: buddy.ps and tech.txt were added to distribution

2004-07-14  haimcohen  <haimcohen@users.sourceforge.net>

	* ChangeLog 1.2, tools/.cvsignore 1.1: *** empty log message ***

	* examples/solitare/expected 1.1:
	This file is empty in purpose. The solitare test takes too much memory
	than I can afford. Until I generate this file somehow, the solitare
	test should not be run.

	* examples/milner/expected 1.1: *** empty log message ***

	* examples/queen/expected 1.1, examples/bddcalc/expected 1.1, examples/bddtest/expected 1.1, examples/cmilner/expected 1.1, examples/fdd/expected 1.1, examples/money/expected 1.1, examples/adder/expected 1.1:
	These files are part of the new regression suite. Each file contains
	the expected result of a test.

	* examples/cmilner/Makefile.am 1.1, examples/fdd/Makefile.am 1.1, examples/milner/Makefile.am 1.1, examples/money/Makefile.am 1.1, examples/queen/Makefile.am 1.1, examples/solitare/Makefile.am 1.1:
	Added to support autotools

	* examples/fdd/makefile 1.2, examples/milner/makefile 1.2, examples/money/makefile 1.2, examples/queen/makefile 1.2, examples/solitare/makefile 1.2, examples/adder/makefile 1.2, examples/bddtest/makefile 1.2, examples/cmilner/makefile 1.2:
	We don't need the makefles anymore since we are using autotools now,
	thanks to Alexandre's contribution.

	* examples/bddcalc/lexer.lxx 1.1, examples/bddcalc/parser.yxx 1.1, examples/bddcalc/parser_.h 1.1, examples/bddcalc/lexer.l 1.2, examples/bddcalc/makefile 1.3, examples/bddcalc/parser.h 1.2, examples/bddcalc/parser.y 1.3:
	*** empty log message ***

	* examples/runregression 1.1:

2004-07-13  haimcohen  <haimcohen@users.sourceforge.net>

	* examples/fdd/runtest 1.1, examples/money/runtest 1.1, examples/queen/runtest 1.1, examples/solitare/runtest 1.1:
	A simple script to run a regression test and generate output

	* examples/milner/runtest 1.1: *** empty log message ***

	* examples/adder/runtest 1.1, examples/bddcalc/runtest 1.1, examples/bddtest/runtest 1.1, examples/cmilner/runtest 1.1:
	A simple script to run a regression test and generate output

	* examples/Makefile.am 1.1, examples/Makefile.def 1.1, examples/adder/Makefile.am 1.1, examples/bddcalc/Makefile.am 1.1, examples/bddtest/Makefile.am 1.1:
	Support for autotools

	* examples/solitare/.cvsignore 1.1, examples/.cvsignore 1.1, examples/adder/.cvsignore 1.1, examples/bddcalc/.cvsignore 1.1, examples/bddtest/.cvsignore 1.1, examples/cmilner/.cvsignore 1.1, examples/fdd/.cvsignore 1.1, examples/milner/.cvsignore 1.1, examples/money/.cvsignore 1.1, examples/queen/.cvsignore 1.1:
	*** empty log message ***

	* src/kernel.c 1.2: Changed the returned BuDDy version format.

	* src/kernel.h 1.2:
	The default value DEFAULT_CLOCK is now defined in the file instead of in the makefile. It can be changed using parameter to configure. By Alexandre.

	* src/.cvsignore 1.1, src/Makefile.am 1.1, src/makefile 1.2:
	for autoconf support

2004-07-12  haimcohen  <haimcohen@users.sourceforge.net>

	* doc/makefile 1.2, doc/.cvsignore 1.1: *** empty log message ***

	* doc/tech.txt 1.1: From the original BuDDy distribution

	* doc/Makefile.am 1.1: Added to enable autoconf

	* m4/debug.m4 1.1: *** empty log message ***

	* README 1.3: Modified to exaplin how to use configure. By Alexandre.

	* config 1.2, makefile 1.2, .cvsignore 1.1: *** empty log message ***

	* CHANGES 1.2:
	Empty file - autoconf require CHANGES file. Changes will appear in the NEWS file, and changes for developers will be in the ChangeLog.

	* AUTHORS 1.1, ChangeLog 1.1, Makefile.am 1.1, NEWS 1.1, README.CVS 1.1, configure.ac 1.1:
	Added for configure support

2004-07-02  haimcohen  <haimcohen@users.sourceforge.net>

	* examples/bddcalc/makefile 1.2:
	tokens.h was added to the 'clean' target as it is generated by yacc

	* examples/bddcalc/parser.y 1.2:
	Tokens were separated by spaces instead of commas to comply with POSIX standard.
	Patch was supplied by Alexandre Duret-Lutz  <aduret@src.lip6.fr>

2004-07-01  haimcohen  <haimcohen@users.sourceforge.net>

	* examples/bddcalc/parser.hxx 1.2, examples/bddcalc/tokens.h 1.2:
	File removed since it did not have to be in CVS from the beginning - this file is generated by yacc.

2004-06-25  haimcohen  <haimcohen@users.sourceforge.net>

	* README 1.2: Change Haim Cohen´s Email to the one in Source Forge

	* src/depend.inf 1.1.1.1, src/makefile 1.1.1.1, src/tree.c 1.1.1.1:
	Initial import

	* src/depend.inf 1.1, src/makefile 1.1, src/tree.c 1.1: New file.

	* src/reorder.c 1.1.1.1: Initial import

	* src/reorder.c 1.1: New file.

	* src/prime.h 1.1.1.1: Initial import

	* src/prime.h 1.1: New file.

	* src/prime.c 1.1.1.1: Initial import

	* src/prime.c 1.1: New file.

	* src/kernel.c 1.1.1.1, src/kernel.h 1.1.1.1, src/pairs.c 1.1.1.1:
	Initial import

	* src/kernel.c 1.1, src/kernel.h 1.1, src/pairs.c 1.1: New file.

	* src/imatrix.c 1.1.1.1, src/imatrix.h 1.1.1.1: Initial import

	* src/imatrix.c 1.1, src/imatrix.h 1.1: New file.

	* src/fdd.c 1.1.1.1, src/fdd.h 1.1.1.1: Initial import

	* src/fdd.c 1.1, src/fdd.h 1.1: New file.

	* src/cppext.cxx 1.1.1.1: Initial import

	* src/cppext.cxx 1.1: New file.

	* src/bvec.c 1.1.1.1, src/bvec.h 1.1.1.1, src/cache.c 1.1.1.1, src/cache.h 1.1.1.1:
	Initial import

	* src/bvec.c 1.1, src/bvec.h 1.1, src/cache.c 1.1, src/cache.h 1.1:
	New file.

	* src/bddtest.cxx 1.1.1.1, src/bddtree.h 1.1.1.1: Initial import

	* src/bddtest.cxx 1.1, src/bddtree.h 1.1: New file.

	* src/bddop.c 1.1.1.1: Initial import

	* src/bddop.c 1.1: New file.

	* src/bddio.c 1.1.1.1: Initial import

	* src/bddio.c 1.1: New file.

	* src/bdd.h 1.1.1.1: Initial import

	* src/bdd.h 1.1: New file.

	* examples/bddcalc/examples/c3540.cal 1.1.1.1, examples/bddcalc/examples/c432.cal 1.1.1.1:
	Initial import

	* examples/bddcalc/examples/c3540.cal 1.1, examples/bddcalc/examples/c432.cal 1.1:
	New file.

	* examples/bddcalc/examples/c1355.cal 1.1.1.1, examples/bddcalc/examples/c499.cal 1.1.1.1:
	Initial import

	* examples/bddcalc/examples/c1355.cal 1.1, examples/bddcalc/examples/c499.cal 1.1:
	New file.

	* examples/bddcalc/examples/c1908.cal 1.1.1.1, examples/bddcalc/examples/c2670.cal 1.1.1.1, examples/bddcalc/examples/readme 1.1.1.1:
	Initial import

	* examples/bddcalc/examples/c1908.cal 1.1, examples/bddcalc/examples/c2670.cal 1.1, examples/bddcalc/examples/readme 1.1:
	New file.

	* examples/bddcalc/parser.hxx 1.1.1.1, examples/bddcalc/slist.h 1.1.1.1, examples/bddcalc/tokens.h 1.1.1.1:
	Initial import

	* examples/bddcalc/parser.hxx 1.1, examples/bddcalc/slist.h 1.1, examples/bddcalc/tokens.h 1.1:
	New file.

	* examples/bddcalc/parser.y 1.1.1.1, examples/bddcalc/readme 1.1.1.1:
	Initial import

	* examples/bddcalc/parser.y 1.1, examples/bddcalc/readme 1.1: New file.

	* examples/bddcalc/parser.h 1.1.1.1: Initial import

	* examples/bddcalc/parser.h 1.1: New file.

	* examples/adder/adder.cxx 1.1.1.1, examples/adder/makefile 1.1.1.1, examples/bddcalc/example.cal 1.1.1.1, examples/bddcalc/hashtbl.cxx 1.1.1.1, examples/bddcalc/hashtbl.h 1.1.1.1, examples/bddcalc/lexer.l 1.1.1.1, examples/bddcalc/makefile 1.1.1.1, examples/bddtest/bddtest.cxx 1.1.1.1, examples/bddtest/makefile 1.1.1.1, examples/cmilner/cmilner.c 1.1.1.1, examples/fdd/fdd.cxx 1.1.1.1, examples/fdd/makefile 1.1.1.1, examples/money/makefile 1.1.1.1, examples/money/money.cxx 1.1.1.1, examples/queen/makefile 1.1.1.1, examples/queen/queen.cxx 1.1.1.1, examples/solitare/makefile 1.1.1.1, examples/solitare/readme 1.1.1.1, examples/solitare/solitare.cxx 1.1.1.1:
	Initial import

	* examples/adder/adder.cxx 1.1, examples/adder/makefile 1.1, examples/bddcalc/example.cal 1.1, examples/bddcalc/hashtbl.cxx 1.1, examples/bddcalc/hashtbl.h 1.1, examples/bddcalc/lexer.l 1.1, examples/bddcalc/makefile 1.1, examples/bddtest/bddtest.cxx 1.1, examples/bddtest/makefile 1.1, examples/cmilner/cmilner.c 1.1, examples/fdd/fdd.cxx 1.1, examples/fdd/makefile 1.1, examples/money/makefile 1.1, examples/money/money.cxx 1.1, examples/queen/makefile 1.1, examples/queen/queen.cxx 1.1, examples/solitare/makefile 1.1, examples/solitare/readme 1.1, examples/solitare/solitare.cxx 1.1:
	New file.

	* doc/bddnotes.ps 1.1.1.1, doc/makefile 1.1.1.1, examples/cmilner/makefile 1.1.1.1, examples/cmilner/readme 1.1.1.1, examples/milner/makefile 1.1.1.1, examples/milner/milner.cxx 1.1.1.1, examples/milner/readme 1.1.1.1:
	Initial import

	* doc/bddnotes.ps 1.1, doc/makefile 1.1, examples/cmilner/makefile 1.1, examples/cmilner/readme 1.1, examples/milner/makefile 1.1, examples/milner/milner.cxx 1.1, examples/milner/readme 1.1:
	New file.

	* doc/buddy.ps 1.1.1.1: Initial import

	* doc/buddy.ps 1.1: New file.

	* CHANGES 1.1.1.1, README 1.1.1.1, config 1.1.1.1, makefile 1.1.1.1:
	Initial import

	* CHANGES 1.1, README 1.1, config 1.1, makefile 1.1: New file.

